<id>
din1031:AlternativProtocolFix
</id>

<version>
1.0.1
</version>

<edit file>
$sourcedir/ManagePosts.php
</edit file>

<search for>
			array('check', 'autoLinkUrls'),
</search for>

<replace>
			array('check', 'autoLinkUrls'),
			array('text', 'urlFixesForUrlBBCTag'),
</replace>

<search for>
		// Work out what is actually disabled!
		$_POST['disabledBBC'] = implode(',', array_diff($bbcTags, $_POST['disabledBBC_enabledTags']));
</search for>

<replace>
		// Work out what is actually disabled!
		$_POST['disabledBBC'] = implode(',', array_diff($bbcTags, $_POST['disabledBBC_enabledTags']));

		//Fix errors of in the userentry...
		if(!empty($_POST['urlFixesForUrlBBCTag'])) {
			$_POST['urlFixesForUrlBBCTag'] = strtolower($_POST['urlFixesForUrlBBCTag']);
			preg_match_all('/(?:([,a-zA-Z0-9]+)|.)/i', $_POST['urlFixesForUrlBBCTag'], $matches);
			$_POST['urlFixesForUrlBBCTag'] = implode('', $matches[1]);
			//Remove empty enteries
			$_POST['urlFixesForUrlBBCTag'] = explode(',',	$_POST['urlFixesForUrlBBCTag']);
			foreach($_POST['urlFixesForUrlBBCTag'] as $k => $tag) {
				if(empty($tag))
					unset($_POST['urlFixesForUrlBBCTag'][$k]);
			}
			$_POST['urlFixesForUrlBBCTag'] = implode(',', $_POST['urlFixesForUrlBBCTag']);
		}
		else
			$_POST['urlFixesForUrlBBCTag'] = '';
</replace>

<edit file>
$sourcedir/Subs.php
</edit file>

<search for>
	// Cleanup whitespace.
	$message = strtr($message, array('  ' => ' &nbsp;', "\r" => '', "\n" => '<br />', '<br /> ' => '<br />&nbsp;', '&#13;' => "\n"));
</search for>

<replace>
	// Cleanup whitespace.
	$message = strtr($message, array('  ' => ' &nbsp;', "\r" => '', "\n" => '<br />', '<br /> ' => '<br />&nbsp;', '&#13;' => "\n"));

	//Let's do some dirt work here... i fix some urls :D
	if(!empty($modSettings['urlFixesForUrlBBCTag']) && !is_array($modSettings['urlFixesForUrlBBCTag'])) {
		$modSettings['urlFixesForUrlBBCTag'] = explode(',', $modSettings['urlFixesForUrlBBCTag']);
	}
	if(!empty($modSettings['urlFixesForUrlBBCTag'])) {
		foreach($modSettings['urlFixesForUrlBBCTag'] as $toFix) {
			$toFix = $toFix.':';
			$toReplace = 'http://'.$toFix;
			//Must i do something?
			if(strpos(strtolower($message), $toReplace) !== false) {
				$message = preg_replace("~".$toReplace."~is", $toFix, $message);
			}
		}
	}
</replace>

<edit file>
$sourcedir/Subs-Post.php
</edit file>

<search for>
	// Now let's quickly clean up things that will slow our parser (which are common in posted code.)
	$message = strtr($message, array('[]' => '&#91;]', '[&#039;' => '&#91;&#039;'));
</search for>

<replace>
	// Now let's quickly clean up things that will slow our parser (which are common in posted code.)
	$message = strtr($message, array('[]' => '&#91;]', '[&#039;' => '&#91;&#039;'));

	//Let's do some dirt work here... i fix some urls :D
	if(!empty($modSettings['urlFixesForUrlBBCTag']) && !is_array($modSettings['urlFixesForUrlBBCTag'])) {
		$modSettings['urlFixesForUrlBBCTag'] = explode(',', $modSettings['urlFixesForUrlBBCTag']);
	}
	if(!empty($modSettings['urlFixesForUrlBBCTag'])) {
		foreach($modSettings['urlFixesForUrlBBCTag'] as $toFix) {
			$toFix = $toFix.':';
			$toReplace = 'http://'.$toFix;
			//Must i do something?
			if(strpos(strtolower($message), $toReplace) !== false) {
				$message = preg_replace("~".$toReplace."~is", $toFix, $message);
			}
		}
	}
</replace>

